Subject: Re: Sequoia kernel crash workaround.

From: Olof Johansson <[email-masked]>
Date: Thu, 20 Sep 2007 12:25:06 -0500

On Thu, Sep 20, 2007 at 08:56:32PM +0400, Valentine Barshak wrote:
>
> I was thinking about it. Looks like it's the best place, but the code that 
> actually calls setup_cpu is under ifdef CONFIG_PPC64, while lots of 
> cpu_setup functions are defined for ppc32 processors.
> Is it OK to remove this ifdef, or should I do CONFIG_PPC64 || CONFIG_44x?

Sounds like something that went wrong at the merge of ppc and ppc64.

Take out the ifdef, even if there's fallout we should deal with it
instead of adding more complex ifdefs.

-Olof